diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/buildings/model/buildings-channel-condition-model.h ns-3.44/src/buildings/model/buildings-channel-condition-model.h
--- ns-3.43/src/buildings/model/buildings-channel-condition-model.h	2024-10-09 16:41:09.852655600 -0700
+++ ns-3.44/src/buildings/model/buildings-channel-condition-model.h	2025-03-09 16:55:49.351371000 -0700
@@ -18,10 +18,10 @@
 class MobilityModel;
 
 /**
- * \ingroup buildings
- * \ingroup propagation
+ * @ingroup buildings
+ * @ingroup propagation
  *
- * \brief Determines the channel condition based on the buildings deployed in the
+ * @brief Determines the channel condition based on the buildings deployed in the
  * scenario
  *
  * Code adapted from MmWave3gppBuildingsPropagationLossModel
@@ -31,8 +31,8 @@
   public:
     /**
      * Get the type ID.
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -49,9 +49,9 @@
     /**
      * Computes the condition of the channel between a and b.
      *
-     * \param a mobility model
-     * \param b mobility model
-     * \return the condition of the channel between a and b
+     * @param a mobility model
+     * @param b mobility model
+     * @return the condition of the channel between a and b
      */
     Ptr<ChannelCondition> GetChannelCondition(Ptr<const MobilityModel> a,
                                               Ptr<const MobilityModel> b) const override;
@@ -62,19 +62,19 @@
      * 'stream'. Return the number of streams (possibly zero) that
      * have been assigned.
      *
-     * \param stream
-     * \return the number of stream indices assigned by this model
+     * @param stream
+     * @return the number of stream indices assigned by this model
      */
     int64_t AssignStreams(int64_t stream) override;
 
   private:
     /**
-     * \brief Checks if the line of sight between position l1 and position l2 is
+     * @brief Checks if the line of sight between position l1 and position l2 is
      *        blocked by a building.
      *
-     * \param l1 position
-     * \param l2 position
-     * \return true if the line of sight is blocked, false otherwise
+     * @param l1 position
+     * @param l2 position
+     * @return true if the line of sight is blocked, false otherwise
      */
     bool IsLineOfSightBlocked(const Vector& l1, const Vector& l2) const;
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/buildings/model/buildings-propagation-loss-model.h ns-3.44/src/buildings/model/buildings-propagation-loss-model.h
--- ns-3.43/src/buildings/model/buildings-propagation-loss-model.h	2024-10-09 16:41:09.852655600 -0700
+++ ns-3.44/src/buildings/model/buildings-propagation-loss-model.h	2025-03-09 16:55:49.351371000 -0700
@@ -25,8 +25,8 @@
 class JakesFadingLossModel;
 
 /**
- * \ingroup buildings
- * \ingroup propagation
+ * @ingroup buildings
+ * @ingroup propagation
  *
  *  This model provides means for simulating the following propagation
  *  phenomena in the presence of buildings:
@@ -38,7 +38,7 @@
  *  The distance-dependent component of propagation loss is deferred
  *  to derived classes which are expected to implement the GetLoss method.
  *
- *  \warning This model works only when MobilityBuildingInfo is aggreegated
+ *  @warning This model works only when MobilityBuildingInfo is aggreegated
  *  to the mobility model
  *
  */
@@ -47,16 +47,16 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return The object TypeId.
+     * @brief Get the type ID.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
 
     BuildingsPropagationLossModel();
     /**
-     * \param a the mobility model of the source
-     * \param b the mobility model of the destination
-     * \returns the propagation loss (in dBm)
+     * @param a the mobility model of the source
+     * @param b the mobility model of the destination
+     * @returns the propagation loss (in dBm)
      */
     virtual double GetLoss(Ptr<MobilityModel> a, Ptr<MobilityModel> b) const = 0;
 
@@ -68,36 +68,36 @@
   protected:
     /**
      * Calculate the external wall loss
-     * \param a Building data
-     * \returns the propagation loss (in dBm)
+     * @param a Building data
+     * @returns the propagation loss (in dBm)
      */
     double ExternalWallLoss(Ptr<MobilityBuildingInfo> a) const;
     /**
      * Calculate the height loss
-     * \param n Building data
-     * \returns the propagation loss (in dBm)
+     * @param n Building data
+     * @returns the propagation loss (in dBm)
      */
     double HeightLoss(Ptr<MobilityBuildingInfo> n) const;
     /**
      * Calculate the internal wall loss
-     * \param a Room A data
-     * \param b Room B data
-     * \returns the propagation loss (in dBm)
+     * @param a Room A data
+     * @param b Room B data
+     * @returns the propagation loss (in dBm)
      */
     double InternalWallsLoss(Ptr<MobilityBuildingInfo> a, Ptr<MobilityBuildingInfo> b) const;
 
     /**
      * Calculate the shadowing loss
-     * \param a Room A data
-     * \param b Room B data
-     * \returns the propagation loss (in dBm)
+     * @param a Room A data
+     * @param b Room B data
+     * @returns the propagation loss (in dBm)
      */
     double GetShadowing(Ptr<MobilityModel> a, Ptr<MobilityModel> b) const;
 
     double m_lossInternalWall; //!< loss from internal walls (in dBm)
 
     /**
-     * \ingroup propagation
+     * @ingroup propagation
      *
      * This model allows the computation of shadowing loss
      */
@@ -107,16 +107,16 @@
         ShadowingLoss();
         /**
          * Constructor
-         * \param shadowingValue Value for shadowing
-         * \param receiver Receiver position
+         * @param shadowingValue Value for shadowing
+         * @param receiver Receiver position
          */
         ShadowingLoss(double shadowingValue, Ptr<MobilityModel> receiver);
         /**
-         * \returns the loss (in dBm)
+         * @returns the loss (in dBm)
          */
         double GetLoss() const;
         /**
-         * \returns the receiver mobility model
+         * @returns the receiver mobility model
          */
         Ptr<MobilityModel> GetReceiver() const;
 
@@ -130,9 +130,9 @@
         m_shadowingLossMap;
     /**
      * Calculate the Standard deviation of the normal distribution used to calculate the shadowing
-     * \param a Room A data
-     * \param b Room B data
-     * \return the Standard deviation of the normal distribution
+     * @param a Room A data
+     * @param b Room B data
+     * @return the Standard deviation of the normal distribution
      */
     double EvaluateSigma(Ptr<MobilityBuildingInfo> a, Ptr<MobilityBuildingInfo> b) const;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/buildings/model/hybrid-buildings-propagation-loss-model.h ns-3.44/src/buildings/model/hybrid-buildings-propagation-loss-model.h
--- ns-3.43/src/buildings/model/hybrid-buildings-propagation-loss-model.h	2024-10-09 16:41:09.852655600 -0700
+++ ns-3.44/src/buildings/model/hybrid-buildings-propagation-loss-model.h	2025-03-09 16:55:49.351371000 -0700
@@ -13,7 +13,7 @@
 
 #include "buildings-propagation-loss-model.h"
 
-#include <ns3/propagation-environment.h>
+#include "ns3/propagation-environment.h"
 
 namespace ns3
 {
@@ -25,10 +25,10 @@
 class Kun2600MhzPropagationLossModel;
 
 /**
- * \ingroup buildings
- * \ingroup propagation
+ * @ingroup buildings
+ * @ingroup propagation
  *
- * \brief The HybridBuildingsPropagationModel is a compound of different models able to evaluate
+ * @brief The HybridBuildingsPropagationModel is a compound of different models able to evaluate
  * the pathloss from 200 to 2600 MHz, in different environments and with buildings (i.e., indoor and
  * outdoor communications).
  *
@@ -42,7 +42,7 @@
  *  - Building penetretation loss
  *  - floors, etc...
  *
- *  \warning This model works only with MobilityBuildingInfo
+ *  @warning This model works only with MobilityBuildingInfo
  *
  */
 
@@ -50,8 +50,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return The object TypeId.
+     * @brief Get the type ID.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
     HybridBuildingsPropagationLossModel();
@@ -60,38 +60,38 @@
     /**
      * set the environment type
      *
-     * \param env
+     * @param env
      */
     void SetEnvironment(EnvironmentType env);
 
     /**
      * set the size of the city
      *
-     * \param size
+     * @param size
      */
     void SetCitySize(CitySize size);
 
     /**
      * set the propagation frequency
      *
-     * \param freq
+     * @param freq
      */
     void SetFrequency(double freq);
 
     /**
      * set the rooftop height
      *
-     * \param rooftopHeight
+     * @param rooftopHeight
      */
     void SetRooftopHeight(double rooftopHeight);
 
     /**
-     * \brief Compute the path loss according to the nodes position
+     * @brief Compute the path loss according to the nodes position
      * using the appropriate model.
      *
-     * \param a the mobility model of the source
-     * \param b the mobility model of the destination
-     * \returns the propagation loss (in dBm)
+     * @param a the mobility model of the source
+     * @param b the mobility model of the destination
+     * @returns the propagation loss (in dBm)
      */
     double GetLoss(Ptr<MobilityModel> a, Ptr<MobilityModel> b) const override;
 
@@ -100,26 +100,26 @@
      * Compute the path loss using either OkumuraHataPropagationLossModel
      * or Kun2600MhzPropagationLossModel.
      *
-     * \param a The mobility model of the source.
-     * \param b The mobility model of the destination.
-     * \returns the propagation loss (in dBm).
+     * @param a The mobility model of the source.
+     * @param b The mobility model of the destination.
+     * @returns the propagation loss (in dBm).
      */
     double OkumuraHata(Ptr<MobilityModel> a, Ptr<MobilityModel> b) const;
     /**
      * Compute the path loss using either ItuR1411LosPropagationLossModel or
      * ItuR1411NlosOverRooftopPropagationLossModel.
      *
-     * \param a The mobility model of the source.
-     * \param b The mobility model of the destination.
-     * \returns the propagation loss (in dBm).
+     * @param a The mobility model of the source.
+     * @param b The mobility model of the destination.
+     * @returns the propagation loss (in dBm).
      */
     double ItuR1411(Ptr<MobilityModel> a, Ptr<MobilityModel> b) const;
     /**
      * Compute the path loss using ItuR1238PropagationLossModel.
      *
-     * \param a The mobility model of the source.
-     * \param b The mobility model of the destination.
-     * \returns the propagation loss (in dBm).
+     * @param a The mobility model of the source.
+     * @param b The mobility model of the destination.
+     * @returns the propagation loss (in dBm).
      */
     double ItuR1238(Ptr<MobilityModel> a, Ptr<MobilityModel> b) const;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/buildings/model/itu-r-1238-propagation-loss-model.h ns-3.44/src/buildings/model/itu-r-1238-propagation-loss-model.h
--- ns-3.43/src/buildings/model/itu-r-1238-propagation-loss-model.h	2024-10-09 16:41:09.852655600 -0700
+++ ns-3.44/src/buildings/model/itu-r-1238-propagation-loss-model.h	2025-03-09 16:55:49.351371000 -0700
@@ -11,15 +11,15 @@
 #ifndef ITU_R_1238_PROPAGATION_LOSS_MODEL_H
 #define ITU_R_1238_PROPAGATION_LOSS_MODEL_H
 
-#include <ns3/propagation-environment.h>
-#include <ns3/propagation-loss-model.h>
+#include "ns3/propagation-environment.h"
+#include "ns3/propagation-loss-model.h"
 
 namespace ns3
 {
 
 /**
- * \ingroup buildings
- * \ingroup propagation
+ * @ingroup buildings
+ * @ingroup propagation
  *
  * This class implements the ITU-R 1238 propagation loss model.
  *
@@ -28,18 +28,18 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return The object TypeId.
+     * @brief Get the type ID.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
 
     /**
      *
      *
-     * \param a the first mobility model
-     * \param b the second mobility model
+     * @param a the first mobility model
+     * @param b the second mobility model
      *
-     * \return the loss in dBm for the propagation between
+     * @return the loss in dBm for the propagation between
      * the two given mobility models
      */
     double GetLoss(Ptr<MobilityModel> a, Ptr<MobilityModel> b) const;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/buildings/model/mobility-building-info.cc ns-3.44/src/buildings/model/mobility-building-info.cc
--- ns-3.43/src/buildings/model/mobility-building-info.cc	2024-10-09 16:41:09.852655600 -0700
+++ ns-3.44/src/buildings/model/mobility-building-info.cc	2025-03-09 16:55:49.351371000 -0700
@@ -11,11 +11,11 @@
 
 #include "building-list.h"
 
-#include <ns3/assert.h>
-#include <ns3/log.h>
-#include <ns3/pointer.h>
-#include <ns3/position-allocator.h>
-#include <ns3/simulator.h>
+#include "ns3/assert.h"
+#include "ns3/log.h"
+#include "ns3/pointer.h"
+#include "ns3/position-allocator.h"
+#include "ns3/simulator.h"
 
 namespace ns3
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/buildings/model/mobility-building-info.h ns-3.44/src/buildings/model/mobility-building-info.h
--- ns-3.43/src/buildings/model/mobility-building-info.h	2024-10-09 16:41:09.852655600 -0700
+++ ns-3.44/src/buildings/model/mobility-building-info.h	2025-03-09 16:55:49.351371000 -0700
@@ -11,12 +11,12 @@
 
 #include "building.h"
 
-#include <ns3/box.h>
-#include <ns3/constant-velocity-helper.h>
-#include <ns3/mobility-model.h>
-#include <ns3/object.h>
-#include <ns3/ptr.h>
-#include <ns3/simple-ref-count.h>
+#include "ns3/box.h"
+#include "ns3/constant-velocity-helper.h"
+#include "ns3/mobility-model.h"
+#include "ns3/object.h"
+#include "ns3/ptr.h"
+#include "ns3/simple-ref-count.h"
 
 #include <map>
 
@@ -24,10 +24,10 @@
 {
 
 /**
- * \ingroup buildings
- * \ingroup mobility
+ * @ingroup buildings
+ * @ingroup mobility
 
- * \brief mobility buildings information (to be used by mobility models)
+ * @brief mobility buildings information (to be used by mobility models)
  *
  * This model implements the management of scenarios where users might be
  * either indoor (e.g., houses, offices, etc.) and outdoor.
@@ -37,91 +37,91 @@
 {
   public:
     /**
-     * \brief Get the type ID.
+     * @brief Get the type ID.
      *
-     * \return the object TypeId
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     MobilityBuildingInfo();
 
     /**
-     * \brief Parameterized constructor
+     * @brief Parameterized constructor
      *
-     * \param building The building in which the MobilityBuildingInfo instance would be placed
+     * @param building The building in which the MobilityBuildingInfo instance would be placed
      */
     MobilityBuildingInfo(Ptr<Building> building);
 
     /**
-     * \brief Is indoor method.
+     * @brief Is indoor method.
      *
-     * \return true if the MobilityBuildingInfo instance is indoor, false otherwise
+     * @return true if the MobilityBuildingInfo instance is indoor, false otherwise
      */
     bool IsIndoor();
 
     /**
-     * \brief Mark this MobilityBuildingInfo instance as indoor
+     * @brief Mark this MobilityBuildingInfo instance as indoor
      *
-     * \param building the building into which the MobilityBuildingInfo instance is located
-     * \param nfloor the floor number 1...nFloors at which the MobilityBuildingInfo instance
+     * @param building the building into which the MobilityBuildingInfo instance is located
+     * @param nfloor the floor number 1...nFloors at which the MobilityBuildingInfo instance
      * is located
-     * \param nroomx the X room number 1...nRoomsX at which the MobilityBuildingInfo instance
+     * @param nroomx the X room number 1...nRoomsX at which the MobilityBuildingInfo instance
      * is located
-     * \param nroomy the Y room number 1...nRoomsY at which the MobilityBuildingInfo instance
+     * @param nroomy the Y room number 1...nRoomsY at which the MobilityBuildingInfo instance
      * is located
      */
     void SetIndoor(Ptr<Building> building, uint8_t nfloor, uint8_t nroomx, uint8_t nroomy);
 
     /**
-     * \brief Mark this MobilityBuildingInfo instance as indoor
+     * @brief Mark this MobilityBuildingInfo instance as indoor
      *
-     * \param nfloor the floor number 1...nFloors at which the MobilityBuildingInfo instance
+     * @param nfloor the floor number 1...nFloors at which the MobilityBuildingInfo instance
      * is located
-     * \param nroomx the X room number 1...nRoomsX at which the MobilityBuildingInfo instance
+     * @param nroomx the X room number 1...nRoomsX at which the MobilityBuildingInfo instance
      * is located
-     * \param nroomy the Y room number 1...nRoomsY at which the MobilityBuildingInfo instance
+     * @param nroomy the Y room number 1...nRoomsY at which the MobilityBuildingInfo instance
      * is located
      */
 
     void SetIndoor(uint8_t nfloor, uint8_t nroomx, uint8_t nroomy);
 
     /**
-     * \brief Mark this MobilityBuildingInfo instance as outdoor
+     * @brief Mark this MobilityBuildingInfo instance as outdoor
      */
     void SetOutdoor();
 
     /**
-     * \brief Get the floor number at which the MobilityBuildingInfo instance is located
+     * @brief Get the floor number at which the MobilityBuildingInfo instance is located
      *
-     * \return The floor number
+     * @return The floor number
      */
     uint8_t GetFloorNumber();
 
     /**
-     * \brief Get the room number along x-axis at which the MobilityBuildingInfo instance is located
+     * @brief Get the room number along x-axis at which the MobilityBuildingInfo instance is located
      *
-     * \return The room number
+     * @return The room number
      */
     uint8_t GetRoomNumberX();
 
     /**
-     * \brief Get the room number along y-axis at which the MobilityBuildingInfo instance is located
+     * @brief Get the room number along y-axis at which the MobilityBuildingInfo instance is located
      *
-     * \return The room number
+     * @return The room number
      */
     uint8_t GetRoomNumberY();
 
     /**
-     * \brief Get the building in which the MobilityBuildingInfo instance is located
+     * @brief Get the building in which the MobilityBuildingInfo instance is located
      *
-     * \return The building in which the MobilityBuildingInfo instance is located
+     * @return The building in which the MobilityBuildingInfo instance is located
      */
     Ptr<Building> GetBuilding();
     /**
-     * \brief Make the given mobility model consistent, by determining whether
+     * @brief Make the given mobility model consistent, by determining whether
      * its position falls inside any of the building in BuildingList, and
      * updating accordingly the BuildingInfo aggregated with the MobilityModel.
      *
-     * \param mm the mobility model to be made consistent
+     * @param mm the mobility model to be made consistent
      */
     void MakeConsistent(Ptr<MobilityModel> mm);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/buildings/model/oh-buildings-propagation-loss-model.h ns-3.44/src/buildings/model/oh-buildings-propagation-loss-model.h
--- ns-3.43/src/buildings/model/oh-buildings-propagation-loss-model.h	2024-10-09 16:41:09.852655600 -0700
+++ ns-3.44/src/buildings/model/oh-buildings-propagation-loss-model.h	2025-03-09 16:55:49.351371000 -0700
@@ -18,29 +18,29 @@
 class OkumuraHataPropagationLossModel;
 
 /**
- * \ingroup buildings
- * \ingroup propagation
+ * @ingroup buildings
+ * @ingroup propagation
  *
  *  this model combines the OkumuraHata model with the BuildingsPropagationLossModel
  *
- *  \warning This model works with MobilityBuildingInfo only
+ *  @warning This model works with MobilityBuildingInfo only
  *
  */
 class OhBuildingsPropagationLossModel : public BuildingsPropagationLossModel
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return The object TypeId.
+     * @brief Get the type ID.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
     OhBuildingsPropagationLossModel();
     ~OhBuildingsPropagationLossModel() override;
 
     /**
-     * \param a the mobility model of the source
-     * \param b the mobility model of the destination
-     * \returns the propagation loss (in dBm)
+     * @param a the mobility model of the source
+     * @param b the mobility model of the destination
+     * @returns the propagation loss (in dBm)
      */
     double GetLoss(Ptr<MobilityModel> a, Ptr<MobilityModel> b) const override;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/buildings/model/random-walk-2d-outdoor-mobility-model.cc ns-3.44/src/buildings/model/random-walk-2d-outdoor-mobility-model.cc
--- ns-3.43/src/buildings/model/random-walk-2d-outdoor-mobility-model.cc	2024-10-09 16:41:09.852655600 -0700
+++ ns-3.44/src/buildings/model/random-walk-2d-outdoor-mobility-model.cc	2025-03-09 16:55:49.351371000 -0700
@@ -45,7 +45,7 @@
                           MakeRectangleChecker())
             .AddAttribute("Time",
                           "Change current direction and speed after moving for this delay.",
-                          TimeValue(Seconds(20.0)),
+                          TimeValue(Seconds(20)),
                           MakeTimeAccessor(&RandomWalk2dOutdoorMobilityModel::m_modeTime),
                           MakeTimeChecker())
             .AddAttribute("Distance",
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/buildings/model/random-walk-2d-outdoor-mobility-model.h ns-3.44/src/buildings/model/random-walk-2d-outdoor-mobility-model.h
--- ns-3.43/src/buildings/model/random-walk-2d-outdoor-mobility-model.h	2024-10-09 16:41:09.852655600 -0700
+++ ns-3.44/src/buildings/model/random-walk-2d-outdoor-mobility-model.h	2025-03-09 16:55:49.351371000 -0700
@@ -25,10 +25,10 @@
 {
 
 /**
- * \ingroup buildings
- * \ingroup mobility
+ * @ingroup buildings
+ * @ingroup mobility
  *
- * \brief 2D random walk mobility model which avoids buildings.
+ * @brief 2D random walk mobility model which avoids buildings.
  *
  * This class reuses most of the code of RandomWalk2dMobilityModel,
  * but adds the awareness of buildings objects which are avoided
@@ -50,7 +50,7 @@
   public:
     /**
      * Register this type with the TypeId system.
-     * \return the object TypeId
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -63,20 +63,20 @@
 
   private:
     /**
-     * \brief Performs the rebound of the node if it reaches a boundary
-     * \param timeLeft The remaining time of the walk
+     * @brief Performs the rebound of the node if it reaches a boundary
+     * @param timeLeft The remaining time of the walk
      */
     void Rebound(Time timeLeft);
     /**
-     * \brief Avoid a building
-     * \param delayLeft The remaining time of the walk
-     * \param intersectPosition The position at which the building is intersected
+     * @brief Avoid a building
+     * @param delayLeft The remaining time of the walk
+     * @param intersectPosition The position at which the building is intersected
      */
     void AvoidBuilding(Time delayLeft, Vector intersectPosition);
     /**
      * Walk according to position and velocity, until distance is reached,
      * time is reached, or intersection with the bounding box, or building
-     * \param delayLeft The remaining time of the walk
+     * @param delayLeft The remaining time of the walk
      */
     void DoWalk(Time delayLeft);
     /**
@@ -87,9 +87,9 @@
      * Check if there is a building between two positions (or if the nextPosition is inside a
      * building). The code is taken from MmWave3gppBuildingsPropagationLossModel from the NYU/UNIPD
      * ns-3 mmWave module
-     * \param currentPosition The current position of the node
-     * \param nextPosition The position to check
-     * \return a pair with a boolean (true if the line between the two position does not intersect
+     * @param currentPosition The current position of the node
+     * @param nextPosition The position to check
+     * @return a pair with a boolean (true if the line between the two position does not intersect
      * building), and a pointer which is 0 if the boolean is true, or it points to the building
      * which is intersected
      */
@@ -98,10 +98,10 @@
     /**
      * Compute the intersecting point of the box represented by boundaries and the line between
      * current and next. Notice that we only consider a 2d plane.
-     * \param current The current position
-     * \param next The next position
-     * \param boundaries The boundaries of the building we will intersect
-     * \return a vector with the position of the intersection
+     * @param current The current position
+     * @param next The next position
+     * @param boundaries The boundaries of the building we will intersect
+     * @return a vector with the position of the intersection
      */
     Vector CalculateIntersectionFromOutside(const Vector& current,
                                             const Vector& next,
